Subject: bug#8215: possibly uninitialized variable lower_xoff in produce_glyphless_glyph

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Jun 2021 12:13:41 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  Kenichi Handa <[email-masked]>
> Date: Sun, 06 Jun 2021 11:00:04 +0200
> 
> Nice catch.  :-)  I tried reading that function for a couple of minutes
> to try to make sense how lower_xoff should have been initialised, but I
> had to admit defeat.

The reason we didn't have the fix earlier is that the problem is only
visible when the default face's font is variable-pitch, otherwise the
offending code is never executed.  So it was hard to understand what
that "workaround" initialization caused.

Let me know if I should add some comments there to make the code's
intent and purpose more clear.